> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project Release



## OpenAPI

````yaml POST /v1/project-releases
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/project-releases:
    post:
      tags:
        - project-releases
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - ROLLBACK
                    name:
                      type: string
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    selectedFlowsIds:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: 'null'
                    projectId:
                      type: string
                    projectReleaseId:
                      type: string
                  required:
                    - type
                    - name
                    - projectId
                    - projectReleaseId
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - PROJECT
                    name:
                      type: string
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    selectedFlowsIds:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: 'null'
                    projectId:
                      type: string
                    targetProjectId:
                      type: string
                  required:
                    - type
                    - name
                    - projectId
                    - targetProjectId
                - type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - GIT
                    name:
                      type: string
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    selectedFlowsIds:
                      anyOf:
                        - type: array
                          items:
                            type: string
                        - type: 'null'
                    projectId:
                      type: string
                  required:
                    - type
                    - name
                    - projectId
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/project-release'
      security:
        - apiKey: []
components:
  schemas:
    project-release:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/project-release'
      type: object
      properties:
        id:
          type: string
        created:
          type: string
        updated:
          type: string
        projectId:
          type: string
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        importedBy:
          anyOf:
            - type: string
            - type: 'null'
        fileId:
          type: string
        type:
          type: string
          enum:
            - GIT
            - PROJECT
            - ROLLBACK
        importedByUser:
          $ref: '#/components/schemas/user'
      required:
        - id
        - created
        - updated
        - projectId
        - name
        - fileId
        - type
      additionalProperties: false
    user:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/user'
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        externalId:
          anyOf:
            - type: string
            - type: 'null'
        platformId:
          anyOf:
            - type: string
            - type: 'null'
        platformRole:
          type: string
          enum:
            - ADMIN
            - MEMBER
            - OPERATOR
        lastName:
          type: string
        created:
          type: string
        updated:
          type: string
        lastActiveDate:
          anyOf:
            - type: string
            - type: 'null'
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - email
        - firstName
        - status
        - platformRole
        - lastName
        - created
        - updated
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````